function changeProvince(list) {
  if (list.selectedIndex<=0) {
	provincesel.options[0].selected=true;
	var len = citysel.options.length;
	for (var i=len-1;i>0;i--){
		citysel.options[i]=null;
	}
  }else {
	var boards = catArr1[list.selectedIndex-1].getOptions();
	var len = citysel.options.length;
	for (var i=len-1;i>0;i--){
		citysel.options[i]=null;
	}
	for (var i=0;i<boards.length;i++) {
		citysel.options[i+1]=boards[i];
	}
	
	var tmpPro = list.options[list.selectedIndex].value;
	citysel.disabled = false;
  }
}

function changeRegion(province,city) {
    for (var i=0;i<catArr1.length;i++) {
    provincesel.options[i+1]=new Option(catArr1[i].title,catArr1[i].id);
    //设置省选择框的选择值
    if(provincesel.options[i+1].innerText == province){
       provincesel.options[i+1].selected=true;
    }
  }
    changeProvince(provincesel);
  var len = citysel.options.length;
  for (var i=0;i<len;i++) {
    //设置城选择框的选择值
    if(citysel.options[i].innerText == city) {
      citysel.options[i].selected=true;
    }
  }
}
  
function Province(id,title){
	this.id=id;
	this.title=title;
	this.boardlist=new Array();
	this.addBoard=addBoard;
	this.getOptions=getOptions;
}

function addBoard(board){
	this.boardlist=this.boardlist.concat(board);
}

function Board(catid,id,title,total){this.catid=catid;
	this.id=id;
	this.title=title;
	this.getOption=getOption;
}

function getOptions(){
	var tmp=new Array();
	for(var i=0; i<this.boardlist.length;	i++) {
		var b=this.boardlist[i];
		tmp[i]=b.getOption();
	}
	return tmp;
}

function getOption(){
	return new Option(this.title,this.id);
}

var catArr1=new Array();
var cur1;
cur1=new Province('安徽省','安徽'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(406,'池州','池州'));
cur1.addBoard(new Board(10,'安庆','安庆'));
cur1.addBoard(new Board(11,'蚌埠','蚌埠'));
cur1.addBoard(new Board(12,'亳州','亳州'));
cur1.addBoard(new Board(13,'巢湖','巢湖'));
cur1.addBoard(new Board(14,'滁州','滁州'));
cur1.addBoard(new Board(15,'阜阳','阜阳'));
cur1.addBoard(new Board(16,'合肥','合肥'));
cur1.addBoard(new Board(17,'淮北','淮北'));
cur1.addBoard(new Board(18,'淮南','淮南'));
cur1.addBoard(new Board(19,'黄山','黄山'));
cur1.addBoard(new Board(20,'六安','六安'));
cur1.addBoard(new Board(21,'马鞍山','马鞍山'));
cur1.addBoard(new Board(22,'宿州','宿州'));
cur1.addBoard(new Board(24,'铜陵','铜陵'));
cur1.addBoard(new Board(25,'芜湖','芜湖'));
cur1.addBoard(new Board(27,'宣城','宣城'));
cur1=new Province('北京','北京'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(29,'昌平区','昌平区'));
cur1.addBoard(new Board(30,'朝阳区','朝阳区'));
cur1.addBoard(new Board(31,'崇文区','崇文区'));
cur1.addBoard(new Board(32,'大兴区','大兴区'));
cur1.addBoard(new Board(33,'东城区','东城区'));
cur1.addBoard(new Board(34,'房山区','房山区'));
cur1.addBoard(new Board(35,'丰台区','丰台区'));
cur1.addBoard(new Board(36,'海淀区','海淀区'));
cur1.addBoard(new Board(37,'怀柔区','怀柔区'));
cur1.addBoard(new Board(38,'门头沟区','门头沟区'));
cur1.addBoard(new Board(39,'密云县','密云县'));
cur1.addBoard(new Board(40,'平谷区','平谷区'));
cur1.addBoard(new Board(41,'石景山区','石景山区'));
cur1.addBoard(new Board(42,'顺义区','顺义区'));
cur1.addBoard(new Board(43,'通州区','通州区'));
cur1.addBoard(new Board(44,'西城区','西城区'));
cur1.addBoard(new Board(45,'宣武区','宣武区'));
cur1.addBoard(new Board(46,'延庆县','延庆县'));
cur1=new Province('福建省','福建'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(48,'福州','福州'));
cur1.addBoard(new Board(49,'龙岩','龙岩'));
cur1.addBoard(new Board(50,'南平','南平'));
cur1.addBoard(new Board(51,'宁德','宁德'));
cur1.addBoard(new Board(52,'莆田','莆田'));
cur1.addBoard(new Board(53,'泉州','泉州'));
cur1.addBoard(new Board(54,'三明','三明'));
cur1.addBoard(new Board(57,'厦门','厦门'));
cur1.addBoard(new Board(59,'漳州','漳州'));
cur1=new Province('甘肃省','甘肃'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(404,'甘南藏族自治州','甘南藏族自治州'));
cur1.addBoard(new Board(405,'临夏回族自治州','临夏回族自治州'));
cur1.addBoard(new Board(60,'白银','白银'));
cur1.addBoard(new Board(61,'定西','定西'));
cur1.addBoard(new Board(63,'嘉峪关','嘉峪关'));
cur1.addBoard(new Board(64,'金昌','金昌'));
cur1.addBoard(new Board(65,'酒泉','酒泉'));
cur1.addBoard(new Board(66,'兰州','兰州'));
cur1.addBoard(new Board(68,'陇南','陇南'));
cur1.addBoard(new Board(69,'平凉','平凉'));
cur1.addBoard(new Board(70,'庆阳','庆阳'));
cur1.addBoard(new Board(71,'天水','天水'));
cur1.addBoard(new Board(72,'武威','武威'));
cur1.addBoard(new Board(75,'张掖','张掖'));
cur1=new Province('广东省','广东'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(401,'揭阳','揭阳'));
cur1.addBoard(new Board(402,'珠海','珠海'));
cur1.addBoard(new Board(403,'云浮','云浮'));
cur1.addBoard(new Board(76,'潮州','潮州'));
cur1.addBoard(new Board(78,'东莞','东莞'));
cur1.addBoard(new Board(79,'佛山','佛山'));
cur1.addBoard(new Board(80,'广州','广州'));
cur1.addBoard(new Board(81,'河源','河源'));
cur1.addBoard(new Board(82,'惠州','惠州'));
cur1.addBoard(new Board(83,'江门','江门'));
cur1.addBoard(new Board(85,'茂名','茂名'));
cur1.addBoard(new Board(86,'梅州','梅州'));
cur1.addBoard(new Board(87,'清远','清远'));
cur1.addBoard(new Board(88,'汕头','汕头'));
cur1.addBoard(new Board(89,'汕尾','汕尾'));
cur1.addBoard(new Board(90,'韶关','韶关'));
cur1.addBoard(new Board(91,'深圳','深圳'));
cur1.addBoard(new Board(93,'阳江','阳江'));
cur1.addBoard(new Board(95,'湛江','湛江'));
cur1.addBoard(new Board(96,'肇庆','肇庆'));
cur1.addBoard(new Board(97,'中山','中山'));
cur1=new Province('广西省','广西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(100,'百色','百色'));
cur1.addBoard(new Board(101,'北海','北海'));
cur1.addBoard(new Board(102,'崇左','崇左'));
cur1.addBoard(new Board(103,'防城港','防城港'));
cur1.addBoard(new Board(104,'贵港','贵港'));
cur1.addBoard(new Board(105,'桂林','桂林'));
cur1.addBoard(new Board(107,'河池','河池'));
cur1.addBoard(new Board(108,'贺州','贺州'));
cur1.addBoard(new Board(109,'来宾','来宾'));
cur1.addBoard(new Board(110,'柳州','柳州'));
cur1.addBoard(new Board(111,'南宁','南宁'));
cur1.addBoard(new Board(113,'钦州','钦州'));
cur1.addBoard(new Board(114,'梧州','梧州'));
cur1.addBoard(new Board(115,'玉林','玉林'));
cur1=new Province('贵州省','贵州'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(398,'黔东南苗族侗族自治州','黔东南苗族侗族自治州'));
cur1.addBoard(new Board(399,'黔南布依族苗族自治州','黔南布依族苗族自治州'));
cur1.addBoard(new Board(400,'黔西南布依族苗族自治州','黔西南布依族苗族自治州'));
cur1.addBoard(new Board(116,'安顺','安顺'));
cur1.addBoard(new Board(117,'毕节地区','毕节地区'));
cur1.addBoard(new Board(120,'贵阳','贵阳'));
cur1.addBoard(new Board(122,'六盘水','六盘水'));
cur1.addBoard(new Board(123,'铜仁地区','铜仁地区'));
cur1.addBoard(new Board(125,'遵义','遵义')); 
cur1=new Province('海南省','海南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(389,'五指山','五指山'));
cur1.addBoard(new Board(390,'文昌','文昌'));
cur1.addBoard(new Board(392,'屯昌县','屯昌县'));
cur1.addBoard(new Board(393,'东方','东方'));
cur1.addBoard(new Board(394,'万宁','万宁'));
cur1.addBoard(new Board(395,'琼海','琼海'));
cur1.addBoard(new Board(396,'澄迈县','澄迈县'));
cur1.addBoard(new Board(397,'定安县','定安县'));
cur1.addBoard(new Board(126,'白沙黎族自治县','白沙黎族自治县'));
cur1.addBoard(new Board(127,'保亭黎族苗族自治县','保亭黎族苗族自治县'));
cur1.addBoard(new Board(128,'昌江黎族自治县','昌江黎族自治县'));
cur1.addBoard(new Board(130,'儋州','儋州'));
cur1.addBoard(new Board(133,'海口','海口'));
cur1.addBoard(new Board(134,'乐东黎族自治县','乐东黎族自治县'));
cur1.addBoard(new Board(135,'临高县','临高县'));
cur1.addBoard(new Board(136,'陵水黎族自治县','陵水黎族自治县'));
cur1.addBoard(new Board(138,'琼中黎族苗族自治县','琼中黎族苗族自治县'));
cur1.addBoard(new Board(139,'三亚','三亚'));
cur1=new Province('河北省','河北'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(145,'保定','保定'));
cur1.addBoard(new Board(147,'沧州','沧州'));
cur1.addBoard(new Board(148,'承德','承德'));
cur1.addBoard(new Board(150,'邯郸','邯郸'));
cur1.addBoard(new Board(151,'衡水','衡水'));
cur1.addBoard(new Board(152,'廊坊','廊坊'));
cur1.addBoard(new Board(154,'秦皇岛','秦皇岛'));
cur1.addBoard(new Board(157,'石家庄','石家庄'));
cur1.addBoard(new Board(158,'唐山','唐山'));
cur1.addBoard(new Board(160,'邢台','邢台'));
cur1.addBoard(new Board(161,'张家口','张家口'));
cur1=new Province('河南省','河南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(372,'安阳','安阳')); 
cur1.addBoard(new Board(387,'漯河','漯河'));
cur1.addBoard(new Board(388,'济源','济源'));
cur1.addBoard(new Board(163,'安阳','安阳'));
cur1.addBoard(new Board(164,'鹤壁','鹤壁'));
cur1.addBoard(new Board(166,'焦作','焦作'));
cur1.addBoard(new Board(167,'开封','开封'));
cur1.addBoard(new Board(169,'洛阳','洛阳'));
cur1.addBoard(new Board(170,'南阳','南阳'));
cur1.addBoard(new Board(171,'平顶山','平顶山'));
cur1.addBoard(new Board(172,'濮阳','濮阳'));
cur1.addBoard(new Board(173,'三门峡','三门峡'));
cur1.addBoard(new Board(174,'商丘','商丘'));
cur1.addBoard(new Board(175,'新乡','新乡'));
cur1.addBoard(new Board(176,'信阳','信阳'));
cur1.addBoard(new Board(177,'许昌','许昌'));
cur1.addBoard(new Board(179,'郑州','郑州'));
cur1.addBoard(new Board(180,'周口','周口'));
cur1.addBoard(new Board(181,'驻马店','驻马店'));
cur1=new Province('黑龙江省','黑龙江'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(386,'大兴安岭地区','大兴安岭地区'));
cur1.addBoard(new Board(184,'大庆','大庆'));
cur1.addBoard(new Board(186,'哈尔滨','哈尔滨'));
cur1.addBoard(new Board(187,'鹤岗','鹤岗'));
cur1.addBoard(new Board(188,'黑河','黑河'));
cur1.addBoard(new Board(189,'鸡西','鸡西'));
cur1.addBoard(new Board(190,'佳木斯','佳木斯'));
cur1.addBoard(new Board(191,'牡丹江','牡丹江'));
cur1.addBoard(new Board(192,'七台河','七台河'));
cur1.addBoard(new Board(193,'齐齐哈尔','齐齐哈尔'));
cur1.addBoard(new Board(194,'双鸭山','双鸭山'));
cur1.addBoard(new Board(196,'绥化','绥化'));
cur1.addBoard(new Board(199,'伊春','伊春'));
cur1=new Province('湖北省','湖北'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(383,'神农架林区','神农架林区'));
cur1.addBoard(new Board(384,'荆州','荆州'));
cur1.addBoard(new Board(385,'潜江','潜江'));
cur1.addBoard(new Board(203,'鄂州','鄂州'));
cur1.addBoard(new Board(205,'恩施土家族苗族自治州','恩施土家族苗族自治州'));
cur1.addBoard(new Board(207,'黄冈','黄冈'));
cur1.addBoard(new Board(208,'黄石','黄石'));
cur1.addBoard(new Board(210,'荆门','荆门'));
cur1.addBoard(new Board(219,'十堰','十堰'));
cur1.addBoard(new Board(221,'随州','随州'));
cur1.addBoard(new Board(222,'天门','天门'));
cur1.addBoard(new Board(223,'武汉','武汉'));
cur1.addBoard(new Board(225,'仙桃','仙桃'));
cur1.addBoard(new Board(227,'咸宁','咸宁'));
cur1.addBoard(new Board(228,'襄樊','襄樊'));
cur1.addBoard(new Board(229,'孝感','孝感'));
cur1.addBoard(new Board(230,'宜昌','宜昌'));
cur1=new Province('湖南省','湖南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(233,'长沙','长沙'));
cur1.addBoard(new Board(234,'常德','常德'));
cur1.addBoard(new Board(235,'郴州','郴州'));
cur1.addBoard(new Board(236,'衡阳','衡阳'));
cur1.addBoard(new Board(238,'怀化','怀化'));
cur1.addBoard(new Board(245,'娄底','娄底'));
cur1.addBoard(new Board(247,'邵阳','邵阳'));
cur1.addBoard(new Board(248,'湘潭','湘潭'));
cur1.addBoard(new Board(249,'湘西土家族苗族自治州','湘西土家族苗族自治州'));
cur1.addBoard(new Board(251,'益阳','益阳'));
cur1.addBoard(new Board(252,'永州','永州'));
cur1.addBoard(new Board(253,'岳阳','岳阳'));
cur1.addBoard(new Board(254,'张家界','张家界'));
cur1.addBoard(new Board(255,'株洲','株洲')); 
cur1=new Province('吉林省','吉林'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(381,'延边朝鲜族自治州','延边朝鲜族自治州'));
cur1.addBoard(new Board(382,'松原','松原'));
cur1.addBoard(new Board(256,'白城','白城'));
cur1.addBoard(new Board(257,'白山','白山'));
cur1.addBoard(new Board(258,'长春','长春'));
cur1.addBoard(new Board(264,'吉林','吉林'));
cur1.addBoard(new Board(267,'辽源','辽源'));
cur1.addBoard(new Board(270,'四平','四平'));
cur1.addBoard(new Board(273,'通化','通化'));
cur1=new Province('江苏省','江苏'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(408,'徐州','徐州'));
cur1.addBoard(new Board(409,'盐城','盐城'));
cur1.addBoard(new Board(410,'扬州','扬州'));
cur1.addBoard(new Board(414,'镇江','镇江'));
cur1.addBoard(new Board(278,'常州','常州'));
cur1.addBoard(new Board(281,'淮安','淮安'));
cur1.addBoard(new Board(286,'连云港','连云港'));
cur1.addBoard(new Board(287,'南京','南京'));
cur1.addBoard(new Board(288,'南通','南通'));
cur1.addBoard(new Board(290,'苏州','苏州'));
cur1.addBoard(new Board(291,'宿迁','宿迁'));
cur1.addBoard(new Board(292,'泰州','泰州'));
cur1.addBoard(new Board(293,'无锡','无锡'));
cur1=new Province('江西省','江西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(416,'抚州','抚州'));
cur1.addBoard(new Board(417,'赣州','赣州'));
cur1.addBoard(new Board(418,'吉安','吉安'));
cur1.addBoard(new Board(420,'景德镇','景德镇'));
cur1.addBoard(new Board(421,'九江','九江'));
cur1.addBoard(new Board(424,'南昌','南昌'));
cur1.addBoard(new Board(425,'萍乡','萍乡'));
cur1.addBoard(new Board(426,'上饶','上饶'));
cur1.addBoard(new Board(427,'新余','新余'));
cur1.addBoard(new Board(428,'宜春','宜春'));
cur1.addBoard(new Board(429,'鹰潭','鹰潭'));
cur1=new Province('辽宁省','辽宁'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(380,'葫芦岛','葫芦岛'));
cur1.addBoard(new Board(430,'鞍山','鞍山'));
cur1.addBoard(new Board(432,'本溪','本溪'));
cur1.addBoard(new Board(434,'朝阳','朝阳'));
cur1.addBoard(new Board(435,'大连','大连'));
cur1.addBoard(new Board(436,'丹东','丹东'));
cur1.addBoard(new Board(437,'抚顺','抚顺'));
cur1.addBoard(new Board(438,'阜新','阜新'));
cur1.addBoard(new Board(442,'锦州','锦州'));
cur1.addBoard(new Board(443,'辽阳','辽阳'));
cur1.addBoard(new Board(444,'盘锦','盘锦'));
cur1.addBoard(new Board(445,'沈阳','沈阳'));
cur1.addBoard(new Board(447,'铁岭','铁岭'));
cur1.addBoard(new Board(450,'营口','营口'));
cur1=new Province('内蒙古自治区','内蒙古'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(373,'乌兰察布','乌兰察布'));
cur1.addBoard(new Board(374,'锡林郭勒盟','锡林郭勒盟'));
cur1.addBoard(new Board(375,'兴安盟','兴安盟'));
cur1.addBoard(new Board(376,'呼伦贝尔','呼伦贝尔'));
cur1.addBoard(new Board(377,'鄂尔多斯','鄂尔多斯'));
cur1.addBoard(new Board(378,'阿拉善盟','阿拉善盟'));
cur1.addBoard(new Board(379,'巴彦淖尔盟','巴彦淖尔盟'));
cur1.addBoard(new Board(453,'包头','包头'));
cur1.addBoard(new Board(454,'赤峰','赤峰'));
cur1.addBoard(new Board(459,'呼和浩特','呼和浩特'));
cur1.addBoard(new Board(465,'通辽','通辽'));
cur1.addBoard(new Board(466,'乌海','乌海'));
cur1=new Province('宁夏回族自治区','宁夏'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(474,'固原','固原'));
cur1.addBoard(new Board(476,'石嘴山','石嘴山'));
cur1.addBoard(new Board(477,'吴忠','吴忠'));
cur1.addBoard(new Board(478,'银川','银川'));
cur1.addBoard(new Board(479,'中卫','中卫'));
cur1=new Province('青海省','青海'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(483,'果洛藏族自治州','果洛藏族自治州'));
cur1.addBoard(new Board(484,'海北藏族自治州','海北藏族自治州'));
cur1.addBoard(new Board(485,'海东','海东'));
cur1.addBoard(new Board(486,'海南藏族自治州','海南藏族自治州'));
cur1.addBoard(new Board(487,'海西蒙古族藏族自治州','海西蒙古族藏族自治州'));
cur1.addBoard(new Board(489,'黄南藏族自治州','黄南藏族自治州'));
cur1.addBoard(new Board(493,'西宁','西宁'));
cur1.addBoard(new Board(494,'玉树藏族自治州','玉树藏族自治州'));
cur1=new Province('山东省','山东'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(372,'菏泽','菏泽'));
cur1.addBoard(new Board(496,'滨州','滨州'));
cur1.addBoard(new Board(497,'德州','德州'));
cur1.addBoard(new Board(498,'东营','东营'));
cur1.addBoard(new Board(500,'济南','济南'));
cur1.addBoard(new Board(501,'济宁','济宁'));
cur1.addBoard(new Board(502,'莱芜','莱芜'));
cur1.addBoard(new Board(503,'聊城','聊城'));
cur1.addBoard(new Board(505,'临沂','临沂'));
cur1.addBoard(new Board(506,'青岛','青岛'));
cur1.addBoard(new Board(509,'日照','日照'));
cur1.addBoard(new Board(510,'泰安','泰安'));
cur1.addBoard(new Board(512,'威海','威海'));
cur1.addBoard(new Board(513,'潍坊','潍坊'));
cur1.addBoard(new Board(516,'烟台','烟台'));
cur1.addBoard(new Board(517,'枣庄','枣庄'));
cur1.addBoard(new Board(519,'淄博','淄博'));
cur1=new Province('山西省','山西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(369,'吕梁','吕梁'));
cur1.addBoard(new Board(370,'晋中','晋中'));
cur1.addBoard(new Board(371,'朔州','朔州'));
cur1.addBoard(new Board(521,'长治','长治'));
cur1.addBoard(new Board(522,'大同','大同'));
cur1.addBoard(new Board(524,'晋城','晋城'));
cur1.addBoard(new Board(526,'临汾','临汾'));
cur1.addBoard(new Board(529,'太原','太原'));
cur1.addBoard(new Board(530,'忻州','忻州'));
cur1.addBoard(new Board(531,'阳泉','阳泉'));
cur1.addBoard(new Board(533,'运城','运城'));
cur1=new Province('陕西省','陕西'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(368,'商洛','商洛'));
cur1.addBoard(new Board(534,'安康','安康'));
cur1.addBoard(new Board(535,'宝鸡','宝鸡'));
cur1.addBoard(new Board(536,'汉中','汉中'));
cur1.addBoard(new Board(539,'铜川','铜川'));
cur1.addBoard(new Board(540,'渭南','渭南'));
cur1.addBoard(new Board(541,'西安','西安'));
cur1.addBoard(new Board(542,'咸阳','咸阳'));
cur1.addBoard(new Board(543,'延安','延安'));
cur1.addBoard(new Board(544,'榆林','榆林'));
cur1=new Province('上海','上海'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(545,'宝山区','宝山区'));
cur1.addBoard(new Board(546,'长宁区','长宁区'));
cur1.addBoard(new Board(547,'崇明县','崇明县'));
cur1.addBoard(new Board(549,'奉贤区','奉贤区'));
cur1.addBoard(new Board(550,'虹口区','虹口区'));
cur1.addBoard(new Board(551,'黄浦区','黄浦区'));
cur1.addBoard(new Board(552,'嘉定区','嘉定区'));
cur1.addBoard(new Board(553,'金山区','金山区'));
cur1.addBoard(new Board(554,'静安区','静安区'));
cur1.addBoard(new Board(555,'卢湾区','卢湾区'));
cur1.addBoard(new Board(556,'闵行区','闵行区'));
cur1.addBoard(new Board(557,'南汇区','南汇区'));
cur1.addBoard(new Board(558,'浦东新区','浦东新区'));
cur1.addBoard(new Board(559,'普陀区','普陀区'));
cur1.addBoard(new Board(560,'青浦区','青浦区'));
cur1.addBoard(new Board(561,'松江区','松江区'));
cur1.addBoard(new Board(562,'徐汇区','徐汇区'));
cur1.addBoard(new Board(563,'杨浦区','杨浦区'));
cur1.addBoard(new Board(564,'闸北区','闸北区'));
cur1=new Province('四川省','四川'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(363,'资阳','资阳'));
cur1.addBoard(new Board(364,'广安','广安'));
cur1.addBoard(new Board(365,'达州','达州'));
cur1.addBoard(new Board(366,'巴中','巴中'));
cur1.addBoard(new Board(367,'眉山','眉山'));
cur1.addBoard(new Board(565,'阿坝藏族羌族自治州','阿坝藏族羌族自治州'));
cur1.addBoard(new Board(567,'成都','成都'));
cur1.addBoard(new Board(569,'德阳','德阳'));
cur1.addBoard(new Board(571,'甘孜藏族自治州','甘孜藏族自治州'));
cur1.addBoard(new Board(573,'广元','广元'));
cur1.addBoard(new Board(575,'乐山','乐山'));
cur1.addBoard(new Board(576,'凉山彝族自治州','凉山彝族自治州'));
cur1.addBoard(new Board(577,'泸州','泸州'));
cur1.addBoard(new Board(580,'绵阳','绵阳'));
cur1.addBoard(new Board(581,'内江','内江'));
cur1.addBoard(new Board(582,'南充','南充'));
cur1.addBoard(new Board(583,'攀枝花','攀枝花'));
cur1.addBoard(new Board(584,'遂宁','遂宁'));
cur1.addBoard(new Board(586,'雅安','雅安'));
cur1.addBoard(new Board(587,'宜宾','宜宾'));
cur1.addBoard(new Board(589,'自贡','自贡'));
cur1=new Province('天津','天津'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(590,'宝坻区','宝坻区'));
cur1.addBoard(new Board(591,'北辰区','北辰区'));
cur1.addBoard(new Board(592,'东丽区','东丽区'));
cur1.addBoard(new Board(593,'汉沽区','汉沽区'));
cur1.addBoard(new Board(594,'和平区','和平区'));
cur1.addBoard(new Board(595,'河北区','河北区'));
cur1.addBoard(new Board(596,'河东区','河东区'));
cur1.addBoard(new Board(597,'河西区','河西区'));
cur1.addBoard(new Board(598,'红桥区','红桥区'));
cur1.addBoard(new Board(599,'津南区','津南区'));
cur1.addBoard(new Board(600,'静海县','静海县'));
cur1.addBoard(new Board(601,'南开区','南开区'));
cur1.addBoard(new Board(602,'宁河县','宁河县'));
cur1.addBoard(new Board(603,'西青区','西青区'));
cur1.addBoard(new Board(604,'大港区','大港区'));
cur1.addBoard(new Board(605,'塘沽区','塘沽区'));
cur1.addBoard(new Board(606,'蓟县','蓟县'));
cur1.addBoard(new Board(607,'武清县','武清县'));
cur1=new Province('西藏自治区','西藏'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(608,'阿里','阿里'));
cur1.addBoard(new Board(609,'昌都','昌都'));
cur1.addBoard(new Board(610,'拉萨','拉萨'));
cur1.addBoard(new Board(611,'林芝','林芝'));
cur1.addBoard(new Board(612,'那曲','那曲'));
cur1.addBoard(new Board(613,'日喀则','日喀则'));
cur1.addBoard(new Board(614,'山南','山南')); 
cur1=new Province('新疆维吾尔自治区','新疆'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(360,'图木舒克','图木舒克'));
cur1.addBoard(new Board(361,'阿拉尔','阿拉尔'));
cur1.addBoard(new Board(362,'五家渠','五家渠'));
cur1.addBoard(new Board(615,'阿克苏地区','阿克苏地区'));
cur1.addBoard(new Board(619,'巴音郭楞蒙古自治州','巴音郭楞蒙古自治州'));
cur1.addBoard(new Board(620,'博尔塔拉蒙古自治州','博尔塔拉蒙古自治州'));
cur1.addBoard(new Board(622,'昌吉回族自治州','昌吉回族自治州'));
cur1.addBoard(new Board(623,'昌吉','昌吉'));
cur1.addBoard(new Board(624,'哈密地区','哈密地区'));
cur1.addBoard(new Board(625,'和田地区','和田地区'));
cur1.addBoard(new Board(626,'喀什地区','喀什地区'));
cur1.addBoard(new Board(628,'克拉玛依','克拉玛依'));
cur1.addBoard(new Board(629,'克孜勒苏柯尔克孜自治州','克孜勒苏柯尔克孜自治州'));
cur1.addBoard(new Board(632,'石河子','石河子'));
cur1.addBoard(new Board(634,'吐鲁番地区','吐鲁番地区'));
cur1.addBoard(new Board(635,'乌鲁木齐','乌鲁木齐'));
cur1.addBoard(new Board(637,'伊犁哈萨克自治州','伊犁哈萨克自治州'));
cur1=new Province('云南省','云南'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(639,'保山','保山'));
cur1.addBoard(new Board(641,'楚雄彝族自治州','楚雄彝族自治州'));
cur1.addBoard(new Board(642,'大理白族自治州','大理白族自治州'));
cur1.addBoard(new Board(644,'德宏傣族景颇族自治州','德宏傣族景颇族自治州'));
cur1.addBoard(new Board(645,'迪庆藏族自治州','迪庆藏族自治州'));
cur1.addBoard(new Board(648,'红河哈尼族彝族自治州','红河哈尼族彝族自治州'));
cur1.addBoard(new Board(651,'昆明','昆明'));
cur1.addBoard(new Board(652,'丽江','丽江'));
cur1.addBoard(new Board(653,'临沧','临沧'));
cur1.addBoard(new Board(656,'怒江傈傈族自治州','怒江傈傈族自治州'));
cur1.addBoard(new Board(657,'曲靖','曲靖'));
cur1.addBoard(new Board(658,'普洱','普洱'));
cur1.addBoard(new Board(660,'文山壮族苗族自治州','文山壮族苗族自治州'));
cur1.addBoard(new Board(661,'西双版纳傣族自治州','西双版纳傣族自治州'));
cur1.addBoard(new Board(662,'玉溪','玉溪'));
cur1.addBoard(new Board(663,'昭通','昭通'));
cur1=new Province('浙江省','浙江'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(359,'台州','台州'));
cur1.addBoard(new Board(668,'杭州','杭州'));
cur1.addBoard(new Board(669,'湖州','湖州'));
cur1.addBoard(new Board(295,'嘉兴','嘉兴'));
cur1.addBoard(new Board(298,'金华','金华'));
cur1.addBoard(new Board(300,'丽水','丽水'));
cur1.addBoard(new Board(302,'宁波','宁波'));
cur1.addBoard(new Board(303,'衢州','衢州'));
cur1.addBoard(new Board(306,'绍兴','绍兴'));
cur1.addBoard(new Board(311,'温州','温州'));
cur1.addBoard(new Board(316,'舟山','舟山'));
cur1=new Province('重庆','重庆'); 
catArr1=catArr1.concat(cur1); 
cur1.addBoard(new Board(324,'垫江县','垫江县'));
cur1.addBoard(new Board(325,'大渡口区','大渡口区'));
cur1.addBoard(new Board(326,'丰都县','丰都县'));
cur1.addBoard(new Board(327,'奉节县','奉节县'));
cur1.addBoard(new Board(328,'涪陵区','涪陵区'));
cur1.addBoard(new Board(329,'合川区','合川区'));
cur1.addBoard(new Board(330,'江北区','江北区'));
cur1.addBoard(new Board(331,'江津区','江津区'));
cur1.addBoard(new Board(332,'九龙坡区','九龙坡区'));
cur1.addBoard(new Board(333,'开县','开县'));
cur1.addBoard(new Board(334,'梁平县','梁平县'));
cur1.addBoard(new Board(335,'南岸区','南岸区'));
cur1.addBoard(new Board(336,'南川区','南川区'));
cur1.addBoard(new Board(337,'彭水苗族土家族自治县','彭水苗族土家族自治县'));
cur1.addBoard(new Board(338,'綦江县','綦江县'));
cur1.addBoard(new Board(339,'黔江区','黔江区'));
cur1.addBoard(new Board(340,'荣昌县','荣昌县'));
cur1.addBoard(new Board(341,'沙坪坝区','沙坪坝区'));
cur1.addBoard(new Board(342,'石柱土家族自治县','石柱土家族自治县'));
cur1.addBoard(new Board(343,'双桥区','双桥区'));
cur1.addBoard(new Board(344,'铜梁县','铜梁县'));
cur1.addBoard(new Board(345,'潼南县','潼南县'));
cur1.addBoard(new Board(346,'万盛区','万盛区'));
cur1.addBoard(new Board(348,'万州区','万州区'));
cur1.addBoard(new Board(349,'巫山县','巫山县'));
cur1.addBoard(new Board(350,'巫溪县','巫溪县'));
cur1.addBoard(new Board(351,'武隆县','武隆县'));
cur1.addBoard(new Board(352,'秀山土家族苗族自治县','秀山土家族苗族自治县'));
cur1.addBoard(new Board(353,'永川区','永川区'));
cur1.addBoard(new Board(354,'酉阳土家族苗族自治县','酉阳土家族苗族自治县'));
cur1.addBoard(new Board(355,'渝北区','渝北区'));
cur1.addBoard(new Board(356,'云阳县','云阳县'));
cur1.addBoard(new Board(357,'忠县','忠县'));
cur1.addBoard(new Board(358,'渝中区','渝中区'));
cur1.addBoard(new Board(318,'巴南区','巴南区'));
cur1.addBoard(new Board(319,'北碚区','北碚区'));
cur1.addBoard(new Board(320,'璧山县','璧山县'));
cur1.addBoard(new Board(321,'长寿区','长寿区'));
cur1.addBoard(new Board(322,'城口县','城口县'));
cur1.addBoard(new Board(323,'大足县','大足县'));
cur1=new Province('中国香港','香港'); 
catArr1=catArr1.concat(cur1); 
cur1=new Province('中国台湾','台湾'); 
catArr1=catArr1.concat(cur1); 
cur1=new Province('中国澳门','澳门'); 
catArr1=catArr1.concat(cur1); 


